> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Collection Table Views



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/table-views/collections
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/table-views/collections:
    get:
      tags:
        - Collection Table Views
      summary: List Collection Table Views
      operationId: CollectionTableViewsController_list_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: surface
          required: true
          in: query
          schema:
            type: string
            const: collection_entries
        - name: search
          required: false
          in: query
          schema:
            type: string
            minLength: 1
            maxLength: 255
        - name: cursor
          required: false
          in: query
          schema:
            type: string
            minLength: 1
            maxLength: 2048
        - name: limit
          required: false
          in: query
          schema:
            default: 50
            type: integer
            minimum: 1
            maximum: 100
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TableViewListResponseDto'
components:
  schemas:
    TableViewListResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              name:
                type: string
                minLength: 1
                maxLength: 255
              surface:
                type: string
                enum:
                  - catalog_products
                  - catalog_materials
                  - collection_entries
                  - project_specifications
              version:
                type: integer
                minimum: 1
                maximum: 9007199254740991
              scope:
                type: string
                enum:
                  - workspace
                  - teams
                  - private
              ownerId:
                anyOf:
                  - type: string
                  - type: 'null'
              teamIds:
                type: array
                items:
                  type: string
              isDefault:
                type: boolean
              defaultPriority:
                type: integer
                minimum: 0
                maximum: 1000
              canManage:
                type: boolean
              createdAt:
                type: string
                format: date-time
                pattern: >-
                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
              updatedAt:
                type: string
                format: date-time
                pattern: >-
                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
            required:
              - id
              - name
              - surface
              - version
              - scope
              - ownerId
              - teamIds
              - isDefault
              - defaultPriority
              - canManage
              - createdAt
              - updatedAt
            additionalProperties: false
        nextCursor:
          anyOf:
            - type: string
              minLength: 1
              maxLength: 2048
            - type: 'null'
        hasMore:
          type: boolean
      required:
        - items
        - nextCursor
        - hasMore
      additionalProperties: false

````